import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
export declare class Iframe {
    fullscreenClass: string;
    el: HTMLElement;
    src: string;
    width: string;
    height: string;
    zIndex: number;
    fullscreen: boolean;
    fullscreenMargin: string;
    iframeLoaded: EventEmitter;
    onIframeLoaded(): void;
    componentDidLoad(): void;
    componentDidUpdate(): void;
    postRender(): void;
    render(): JSX.Element;
}
